Subject: [Sigtran] [M3UA] IPSP receiving ASP ACTIVE Ack

From: Santhana <[email-masked]>
Date: Thu, 09 Jul 2009 17:09:25 +0530

Hi Brian

            The M3UA RFC says when an IPSP(in INACTIVE STATE) receives an
ASP ACTIVE Ack, it has to change the state to ACTIVE. Is this applicable
even when the IPSP has not sent the ASP ACTIVE before also. 

Similarly for an ASP(in INACTIVE STATE) when it receives ASP ACTIVE Ack, is
this applicable ?

>From M3UA RFC 4666 In section 4.3.4.3.1

        Either of the IPSPs can initiate communication.  When an IPSP
   receives an ASP Active, it should mark the peer as ASP-ACTIVE and
   return an ASP Active Ack message.  An ASP receiving an ASP Active Ack
   message may mark the peer as ASP-Active, if it is not already in the
   ASP-ACTIVE state.
 
   Alternatively, when using the IPSP DE model, an interchange of ASP
   Active messages from each end MUST be performed.  Four messages are
   needed for completion.

Regards

Santhanakrishnan

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 9 Jul 2009 06:29:54 -0600

Santhana,

Santhana wrote:                            (Thu, 09 Jul 2009 17:09:25)
>                The M3UA RFC says when an IPSP(in INACTIVE STATE) receives
>    an ASP ACTIVE Ack, it has to change the state to ACTIVE. Is this
>    applicable even when the IPSP has not sent the ASP ACTIVE before also.

Where does it say that?

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Santhana <[email-masked]>
Date: Fri, 10 Jul 2009 10:14:52 +0530

Hi Brian

      The second sentence(quoted) in this para. I broke the two sentences
before interpretation as the first sentence describes IPSP and the second
sentence describes ASP.

It is from M3UA RFC 4666 In section 4.3.4.3.1

   return an ASP Active Ack message.  "An ASP receiving an ASP Active Ack

   ASP-ACTIVE state."

My Question applies for an ASP(and inturn IPSP) receiving an ACTIVE ACK.

Regards

Santhanakrishnan

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Thursday, July 09, 2009 6:00 PM
To: Santhana
Cc: [email-masked]
Subject: Re: [Sigtran] [M3UA] IPSP receiving ASP ACTIVE Ack

Santhana,

Where does it say that?

--brian

-- 

Brian F. G. Bidulock

[email-masked]

http://www.openss7.org/

---

From: Ankit Kumar Sharma <[email-masked]>
Date: Fri, 10 Jul 2009 11:03:57 +0530

Krishnan,
  As per section 3.7.2 of RFC 4666:
     "The ASP Active Ack message is used to acknowledge an ASP Active
message received from a remote M3UA peer"
So, I am not sure in which case peer would send a ASP-Active-Ack without
receiving an ASP-Active message.

ASP Active message is sent to remote peer with the intention that our node
is now ready to handle traffic for a particular AS. Now if we change our ASP
state to ASP Active after receiving an unknown ASP-Active-Ack message, it
could result in data loss because our node may not be ready to receive
traffic for that particular AS.

Regards,
Ankit Kumar Sharma

On Fri, Jul 10, 2009 at 10:14 AM, Santhana <[email-masked]> wrote:

> *        Either of the IPSPs can initiate communication.  When an IPSP*
>
> *   receives an ASP Active, it should mark the peer as ASP-ACTIVE and*
>
> *   return an ASP Active Ack message.  ”An ASP receiving an ASP Active Ack
> *
>
> *   message may mark the peer as ASP-Active, if it is not already in the*
>
> *   ASP-ACTIVE state.”*
>
> * *
>
> * *
> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran
>
>

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 10 Jul 2009 01:00:13 -0600

Santhana,

That sentence says that when you receive an ASP Active Ack that you
_MAY_ set the _PEER_ state to active, not the receiving ASP's _OWN_
state.

Now, true, in SE mode they are the same thing, but in DE mode they
are not.  For SE mode, there is no point in sending an unsolicited
ASP Active Ack because the AS can be activated simply using the ASP
Active.

Nevertheless, the normal reponse of ASPs to unsolicited messages is
to note the state and return the state to the management requested
state.  That is, an ASP or IPSP receiving an unsolicited ASP Acitve
Ack in the (DE peer) inactive state, would note that the peer believes
that the AS is active and then take the actions necessary to return
the state to the management desired state: i.e., issue an ASP Inactive
for the RC.  So, in practical terms, one cannot use the ASP Active
Ack message in an unsolicited way to activate the peer.

The reason for the response to what might appear to be an unsolicited
ASP Active Ack message is the procedure permitting retransmission of
the ASP Active (even though SCTP is reliable).  This means that
several identical ASP Active messages may appear at the peer and be
responded to with multiple ASP Activ Ack messages.

--brian

Santhana wrote:                            (Fri, 10 Jul 2009 10:14:52)
> 
>    Hi Brian
> 
>          The second sentence(quoted) in this para. I broke the two
>    sentences before interpretation as the first sentence describes IPSP
>    and the second sentence describes ASP.
> 
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Santhana <[email-masked]>
Date: Fri, 10 Jul 2009 19:37:17 +0530

Hi Brian
	Then for unsolicited "ASP ACTIVE Ack" message are the following
responses ok in SE mode.

=====================================
PRESENT STATE	ACTION
=====================================
ACTIVE		No Action
INACTIVE		Send ERROR "Unexpected"
=====================================

Regards
Santhanakrishnan

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]] 
Sent: Friday, July 10, 2009 12:30 PM
To: Santhana
Cc: [email-masked]
Subject: Re: [Sigtran] [M3UA] IPSP receiving ASP ACTIVE Ack

Santhana,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Fri, 10 Jul 2009 14:51:23 -0600

Santhana,

Yes, they are just ok.  Sending ERROR "Unexpected message" is certainly
not the best response.  ASP Inactive is a better response.

--brian

Santhana wrote:                                  (Fri, 10 Jul 2009 19:37:17)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/